from blockapi.services import (
    BlockchainAPI
)


class BlockscoutAPI(BlockchainAPI):
    """
    coins: etc
    API docs: https://blockscout.com/etc/mainnet/api_docs
    Explorer: https://blockscout.com
    """

    active = True

    currency_id = 'ethereum-classic'
    base_url = 'https://blockscout.com/etc/mainnet/api?'
    rate_limit = 0
    coef = 1e-18
    max_items_per_page = None
    page_offset_step = None
    confirmed_num = None

    supported_requests = {
        'get_balance': 'module=account&action=eth_get_balance&address={address}',
    }

    def get_balance(self):
        response = self.request('get_balance',
                                address=self.address)
        if not response:
            return 0

        return int(response['result'], 16) * self.coef
